Bug 38879 - RPM DB corrupted; --rebuild does not resolve problem
RPM DB corrupted; --rebuild does not resolve problem
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-03 02:25 EDT by Tim Van Holder
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-03 02:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Van Holder 2001-05-03 02:25:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-3 i686)

Description of problem:
I updated rpm through red-carpet, along with some other recent updates
(krb5, ...).
Today, red-carpet still listed rpm-python and krb5-configs as 'to be
updated'. Installing them again did not resolve this (still listed as 'to
be installed').
rpm -qa listed both the new and the old version for both of these packages;
since I figured the RPM database had become corrupted, I ran rpm
Now rpm -qa STILL lists both new and old versions of the packages, AND
lists version 4.0.2-6x of rpm-python TWICE.
How do I resolve this?

How reproducible:
Didn't try

Additional info:
Comment 1 Jeff Johnson 2001-05-06 09:25:04 EDT
Reinstalling rpm with the flags '-U --force' should eliminate duplicate
installed copies.

Otherwise, you will need to remove rpm manually, making sure that you save a
of the executable in order to reinstall the rpm packages. Something like
	cp /bin/rpm /bin/orpm
	rpm -e --allmatches -vv rpm rpm-python
	/bin/orpm rpm-4.0.2* rpm-python-4.0.2*
should work.

Note You need to log in before you can comment on or make changes to this bug.